Bug 1309776 - [abrt] gvfs-mtp: sync_transfer_wait_for_completion(): gvfsd-mtp killed by SIGSEGV
Summary: [abrt] gvfs-mtp: sync_transfer_wait_for_completion(): gvfsd-mtp killed by SIG...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gvfs
Version: 7.2
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ondrej Holy
QA Contact: Desktop QE
URL: https://faf-report.itos.redhat.com/re...
Whiteboard: abrt_hash:9a4b3cc127a2c32835bb2c34afd...
Depends On: 1386993 1569281
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-18 16:35 UTC by Matěj Cepl
Modified: 2018-10-30 10:20 UTC (History)
2 users (show)

Fixed In Version: gvfs-1.36.2-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:19:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
File: backtrace (12.12 KB, text/plain)
2016-02-18 16:35 UTC, Matěj Cepl
no flags Details
File: cgroup (214 bytes, text/plain)
2016-02-18 16:35 UTC, Matěj Cepl
no flags Details
File: core_backtrace (11.54 KB, text/plain)
2016-02-18 16:35 UTC, Matěj Cepl
no flags Details
File: dso_list (3.27 KB, text/plain)
2016-02-18 16:35 UTC, Matěj Cepl
no flags Details
File: environ (756 bytes, text/plain)
2016-02-18 16:35 UTC, Matěj Cepl
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-18 16:35 UTC, Matěj Cepl
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-18 16:35 UTC, Matěj Cepl
no flags Details
File: machineid (135 bytes, text/plain)
2016-02-18 16:35 UTC, Matěj Cepl
no flags Details
File: maps (17.50 KB, text/plain)
2016-02-18 16:35 UTC, Matěj Cepl
no flags Details
File: open_fds (366 bytes, text/plain)
2016-02-18 16:35 UTC, Matěj Cepl
no flags Details
File: proc_pid_status (1.07 KB, text/plain)
2016-02-18 16:35 UTC, Matěj Cepl
no flags Details
File: var_log_messages (29 bytes, text/plain)
2016-02-18 16:35 UTC, Matěj Cepl
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 761278 0 None None None 2016-04-01 07:57:46 UTC
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:20:42 UTC

Description Matěj Cepl 2016-02-18 16:35:26 UTC
Description of problem:
I am using mtp to connect to my Nexus 5 phone. Most of the time it works just fine. Not sure where this comes from.

Version-Release number of selected component:
gvfs-mtp-1.22.4-6.el7

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-mtp --spawner :1.3 /org/gtk/gvfs/exec_spaw/10
crash_function: sync_transfer_wait_for_completion
executable:     /usr/libexec/gvfsd-mtp
global_pid:     698
kernel:         3.10.0-327.4.5.el7.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 sync_transfer_wait_for_completion at /lib64/libusb-1.0.so.0
 #1 do_sync_bulk_transfer at /lib64/libusb-1.0.so.0
 #2 libusb_bulk_transfer at /lib64/libusb-1.0.so.0
 #3 ptp_usb_event at /lib64/libmtp.so.9
 #4 ptp_usb_event_wait at /lib64/libmtp.so.9
 #5 LIBMTP_Read_Event at /lib64/libmtp.so.9
 #6 check_event
 #7 g_thread_proxy at /lib64/libglib-2.0.so.0

Comment 1 Matěj Cepl 2016-02-18 16:35:31 UTC
Created attachment 1128272 [details]
File: backtrace

Comment 2 Matěj Cepl 2016-02-18 16:35:33 UTC
Created attachment 1128273 [details]
File: cgroup

Comment 3 Matěj Cepl 2016-02-18 16:35:35 UTC
Created attachment 1128274 [details]
File: core_backtrace

Comment 4 Matěj Cepl 2016-02-18 16:35:37 UTC
Created attachment 1128275 [details]
File: dso_list

Comment 5 Matěj Cepl 2016-02-18 16:35:39 UTC
Created attachment 1128276 [details]
File: environ

Comment 6 Matěj Cepl 2016-02-18 16:35:41 UTC
Created attachment 1128277 [details]
File: exploitable

Comment 7 Matěj Cepl 2016-02-18 16:35:43 UTC
Created attachment 1128278 [details]
File: limits

Comment 8 Matěj Cepl 2016-02-18 16:35:45 UTC
Created attachment 1128279 [details]
File: machineid

Comment 9 Matěj Cepl 2016-02-18 16:35:47 UTC
Created attachment 1128280 [details]
File: maps

Comment 10 Matěj Cepl 2016-02-18 16:35:49 UTC
Created attachment 1128281 [details]
File: open_fds

Comment 11 Matěj Cepl 2016-02-18 16:35:50 UTC
Created attachment 1128282 [details]
File: proc_pid_status

Comment 12 Matěj Cepl 2016-02-18 16:35:52 UTC
Created attachment 1128283 [details]
File: var_log_messages

Comment 14 Ondrej Holy 2016-04-01 07:57:47 UTC
This is well know upstream bug, however it seems that we can't do much with it in gvfs. Probably some changes in libmtp are needed. See:
https://bugzilla.gnome.org/show_bug.cgi?id=761278

Comment 16 Ondrej Holy 2016-10-20 12:55:42 UTC
The upstream bug report contains several patches, which should fix this issue. The patches should be part of the planned rebase. Unfortunately, it requires unreleased libmtp version...

Comment 17 Ondrej Holy 2017-08-09 09:39:52 UTC
It seems that this is still happening in Fedora 26 regardless of fixes from: https://bugzilla.gnome.org/show_bug.cgi?id=761278 .

Comment 18 Ondrej Holy 2018-03-07 15:24:27 UTC
Hmm, it seems that there aren't any crashes in sync_transfer_wait_for_completion for Fedora 27, so the crashes for Fedora 26 happened probably before gvfs rebuilt against newer libmtp:
https://retrace.fedoraproject.org/faf/problems/2533841/

Comment 23 errata-xmlrpc 2018-10-30 10:19:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.